package com.ss.android.ugc.aweme.net.interceptor;

import X.C49809ch;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.net.INetReleaseInterceptor;
import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;

public class NetWorkSpeedInterceptor implements INetReleaseInterceptor {
    static {
        Covode.recordClassIndex(94743);
    }

    public Response intercept(Interceptor.Chain chain) {
        Request request = chain.request();
        C49809ch.LIZ.LIZ();
        Response proceed = chain.proceed(request);
        C49809ch.LIZ.LIZIZ();
        return proceed;
    }
}
